Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# DistributedSmoothNodeAI Class Reference

Inheritance diagram for DistributedSmoothNodeAI:

List of all members.

## Public Member Functions
def | __init__
def | clearSmoothing
def | delete
def | disable
def | generate
def | getComponentH
def | getComponentL
def | getComponentP
def | getComponentR
def | getComponentT
def | getComponentX
def | getComponentY
def | getComponentZ
def | setComponentH
def | setComponentL
def | setComponentP
def | setComponentR
def | setComponentT
def | setComponentX
def | setComponentY
def | setComponentZ
def | setSmH
def | setSmHpr
def | setSmPos
def | setSmPosHpr
def | setSmPosHprL
def | setSmStop
def | setSmXY
def | setSmXYH
def | setSmXYZH
def | setSmXZ
def | setSmZ

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | air,
|  |  | name = `None`
| ) |  |

Reimplemented from DistributedNodeAI.

## Member Function Documentation

def clearSmoothing | ( |  | self,
|  |  | bogus = `None`
| ) |  |

def delete | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on delete
    Note that this may be called multiple times if a class inherits
    from DistributedObjectAI more than once.

Reimplemented from DistributedNodeAI.

def disable | ( |  | self | ) |

Reimplemented from DistributedSmoothNodeBase.

def generate | ( |  | self | ) |

Reimplemented from DistributedSmoothNodeBase.

def getComponentH | ( |  | self | ) |

def getComponentL | ( |  | self | ) |

def getComponentP | ( |  | self | ) |

def getComponentR | ( |  | self | ) |

def getComponentT | ( |  | self | ) |

def getComponentX | ( |  | self | ) |

def getComponentY | ( |  | self | ) |

def getComponentZ | ( |  | self | ) |

def setComponentH | ( |  | self,
|  |  | h
| ) |  |

def setComponentL | ( |  | self,
|  |  | l
| ) |  |

def setComponentP | ( |  | self,
|  |  | p
| ) |  |

def setComponentR | ( |  | self,
|  |  | r
| ) |  |

def setComponentT | ( |  | self,
|  |  | t
| ) |  |

def setComponentX | ( |  | self,
|  |  | x
| ) |  |

def setComponentY | ( |  | self,
|  |  | y
| ) |  |

def setComponentZ | ( |  | self,
|  |  | z
| ) |  |

def setSmH | ( |  | self,
|  |  | h,
|  |  | t = `None`
| ) |  |

def setSmHpr | ( |  | self,
|  |  | h,
|  |  | p,
|  |  | r,
|  |  | t = `None`
| ) |  |

def setSmPos | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | t = `None`
| ) |  |

def setSmPosHpr | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | p,
|  |  | r,
|  |  | t = `None`
| ) |  |

def setSmPosHprL | ( |  | self,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | p,
|  |  | r,
|  |  | t = `None`
| ) |  |

def setSmStop | ( |  | self,
|  |  | t = `None`
| ) |  |

def setSmXY | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | t = `None`
| ) |  |

def setSmXYH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | h,
|  |  | t = `None`
| ) |  |

def setSmXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | t = `None`
| ) |  |

def setSmXZ | ( |  | self,
|  |  | x,
|  |  | z,
|  |  | t = `None`
| ) |  |

def setSmZ | ( |  | self,
|  |  | z,
|  |  | t = `None`
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties